Just to save anyone some time and trouble.
I had a ubuntu server 10.04 LTS running zimbra 7.2
I upgraded to 12.04.1 LTS ubuntu and my zimbra failed to come up.
So, don't move to 12.04.1 Ubuntu until theres a zimbra version for it.